libdap::D4ConstraintEvaluator Class Reference

`#include <D4ConstraintEvaluator.h>`

## Public Member Functions

| D4ConstraintEvaluator (DMR *dmr)
DMR * | dmr () const
void | error (const libdap::location &l, const std::string &m)
bool | parse (const std::string &expr)
bool | result () const
void | set_dmr (DMR *dmr)
void | set_result (bool r)
void | set_trace_parsing (bool tp)
void | set_trace_scanning (bool ts)
bool | trace_parsing () const
bool | trace_scanning () const

## Friends

class | D4CEParser

## Detailed Description

Driver for the DAP4 Constraint Expression parser.

Definition at line 46 of file D4ConstraintEvaluator.h.

## Constructor & Destructor Documentation

## D4ConstraintEvaluator() [1/2]

libdap::D4ConstraintEvaluator::D4ConstraintEvaluator | ( |  | ) |

inline

Definition at line 121 of file D4ConstraintEvaluator.h.

## D4ConstraintEvaluator() [2/2]

libdap::D4ConstraintEvaluator::D4ConstraintEvaluator | ( | DMR * | dmr | ) |

inline

Definition at line 122 of file D4ConstraintEvaluator.h.

## ~D4ConstraintEvaluator()

virtual libdap::D4ConstraintEvaluator::~D4ConstraintEvaluator | ( |  | ) |

inline virtual

Definition at line 124 of file D4ConstraintEvaluator.h.

## Member Function Documentation

## dmr()

DMR * libdap::D4ConstraintEvaluator::dmr | ( |  | ) | const

inline

Definition at line 137 of file D4ConstraintEvaluator.h.

## error()

void libdap::D4ConstraintEvaluator::error | ( | const libdap::location & | l,
|  | const std::string & | m
| ) |  |

Definition at line 498 of file D4ConstraintEvaluator.cc.

## parse()

bool libdap::D4ConstraintEvaluator::parse | ( | const std::string & | expr | ) |

Definition at line 59 of file D4ConstraintEvaluator.cc.

## result()

bool libdap::D4ConstraintEvaluator::result | ( |  | ) | const

inline

Definition at line 134 of file D4ConstraintEvaluator.h.

## set_dmr()

void libdap::D4ConstraintEvaluator::set_dmr | ( | DMR * | dmr | ) |

inline

Definition at line 138 of file D4ConstraintEvaluator.h.

## set_result()

void libdap::D4ConstraintEvaluator::set_result | ( | bool | r | ) |

inline

Definition at line 135 of file D4ConstraintEvaluator.h.

## set_trace_parsing()

void libdap::D4ConstraintEvaluator::set_trace_parsing | ( | bool | tp | ) |

inline

Definition at line 132 of file D4ConstraintEvaluator.h.

## set_trace_scanning()

void libdap::D4ConstraintEvaluator::set_trace_scanning | ( | bool | ts | ) |

inline

Definition at line 129 of file D4ConstraintEvaluator.h.

## trace_parsing()

bool libdap::D4ConstraintEvaluator::trace_parsing | ( |  | ) | const

inline

Definition at line 131 of file D4ConstraintEvaluator.h.

## trace_scanning()

bool libdap::D4ConstraintEvaluator::trace_scanning | ( |  | ) | const

inline

Definition at line 128 of file D4ConstraintEvaluator.h.

## Friends And Related Symbol Documentation

## D4CEParser

friend class D4CEParser

friend

Definition at line 118 of file D4ConstraintEvaluator.h.

The documentation for this class was generated from the following files:

- D4ConstraintEvaluator.h
- D4ConstraintEvaluator.cc